MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027092Community[OCCT] OCCT:Codingpublic2016-01-20 09:172016-04-20 15:50
ReporterEpy 
Assigned Toabv 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformLubuntu 15.10 x64OSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027092: Coding - src/BRep/BRep_Tool.hxx extra semicolon triggers annoying warnings on Clang
DescriptionClang tends to be overly verbose with warnings, and the extra semicolon at the beginning of src/BRep/BRep_Tool.hxx creates a large amount of extra warning text (this is repeated every time this file is referenced):

In file included from /home/jake/opencascade-7.0.0-beta/build/inc/BRep_Tool.hxx:1:0,
                 from /home/jake/opencascade-7.0.0-beta/src/BRep/BRep_Builder.lxx:21,
                 from /home/jake/opencascade-7.0.0-beta/build/inc/BRep_Builder.lxx:1,
                 from /home/jake/opencascade-7.0.0-beta/src/BRep/BRep_Builder.hxx:274,
                 from /home/jake/opencascade-7.0.0-beta/build/inc/BRep_Builder.hxx:1,
                 from /home/jake/opencascade-7.0.0-beta/src/BRepPrim/BRepPrim_Builder.hxx:24,
                 from /home/jake/opencascade-7.0.0-beta/build/inc/BRepPrim_Builder.hxx:1,
                 from /home/jake/opencascade-7.0.0-beta/src/BRepPrim/BRepPrim_OneAxis.hxx:24,
                 from /home/jake/opencascade-7.0.0-beta/build/inc/BRepPrim_OneAxis.hxx:1,
                 from /home/jake/opencascade-7.0.0-beta/src/BRepPrim/BRepPrim_Revolution.hxx:24,
                 from /home/jake/opencascade-7.0.0-beta/build/inc/BRepPrim_Revolution.hxx:1,
                 from /home/jake/opencascade-7.0.0-beta/src/BRepPrim/BRepPrim_Sphere.hxx:25,
                 from /home/jake/opencascade-7.0.0-beta/build/inc/BRepPrim_Sphere.hxx:1,
                 from /home/jake/opencascade-7.0.0-beta/src/BRepPrimAPI/BRepPrimAPI_MakeSphere.hxx:24,
                 from /home/jake/opencascade-7.0.0-beta/build/inc/BRepPrimAPI_MakeSphere.hxx:1,
                 from Ex5_ScaleAndBoundBox.cxx:7:
/home/jake/opencascade-7.0.0-beta/src/BRep/BRep_Tool.hxx:1:1: warning: extra ‘;’ [-Wpedantic]
 ;// Created on: 1993-07-07
 ^

I realize this is a "nit-pick" request, but all that needs to be done is to remove the semi-colon. Clang emits so many warnings, anything that can be done to reduce the text volume is extremely helpful as I look through those warnings. Thanks!
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0027097closedabv Open CASCADE GCC and CLang compiler warnings and errors with -Wpedantic 
child of 0026560closedbugmaster Community BRepBndLib build too large bounding box in Z direction for planar spline edge. 
child of 0027105closedabv Community Make code ISO-compliant [-Wpedantic fixes] 

-  Notes
(0049959)
git (administrator)
2016-01-20 10:24

Branch CR27092 has been created by kgv.

SHA-1: 917f5d6614817a480d17bd67e5277d41ad6cbd64


Detailed log of new commits:

Author: kgv
Date: Wed Jan 20 10:24:20 2016 +0300

    0027092: Coding - src/BRep/BRep_Tool.hxx extra semicolon triggers annoying warnings on Clang
(0049960)
kgv (developer)
2016-01-20 10:25
edited on: 2016-01-20 10:26

Dear bugmaster,

please check compilation, testing is not needed.

(0049981)
mkv (tester)
2016-01-20 18:18

Dear BugMaster,
Branch CR27092 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 917f5d6614817a480d17bd67e5277d41ad6cbd64

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 7 (7 on master)

products component :
Linux: 36 (36 on master)
Windows: 0 (0 on master)
(0049982)
mkv (tester)
2016-01-20 18:18

Dear BugMaster,
Branch CR27092 is TESTED.
(0052869)
git (administrator)
2016-04-17 13:27

Branch CR27092 has been deleted by kgv.

SHA-1: 917f5d6614817a480d17bd67e5277d41ad6cbd64

- Related Changesets
occt: master 163d7e8d
Timestamp: 2016-01-20 07:24:20
Author: abv
Committer: abv
Details ] Diff ]
0027092: Coding - src/BRep/BRep_Tool.hxx extra semicolon triggers annoying warnings on Clang
mod - src/BRep/BRep_Tool.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-01-20 09:17 Epy New Issue
2016-01-20 09:17 Epy Assigned To => kgv
2016-01-20 10:23 kgv Relationship added child of 0026560
2016-01-20 10:24 kgv Status new => assigned
2016-01-20 10:24 kgv Product Version => 7.0.0
2016-01-20 10:24 kgv Target Version => 7.0.0
2016-01-20 10:24 kgv Summary 7.0.0 beta: src/BRep/BRep_Tool.hxx extra semicolon triggers annoying warnings on Clang => Coding - src/BRep/BRep_Tool.hxx extra semicolon triggers annoying warnings on Clang
2016-01-20 10:24 git Note Added: 0049959
2016-01-20 10:25 kgv Note Added: 0049960
2016-01-20 10:25 kgv Assigned To kgv => bugmaster
2016-01-20 10:25 kgv Status assigned => resolved
2016-01-20 10:25 kgv Status resolved => reviewed
2016-01-20 10:26 kgv Note Edited: 0049960 View Revisions
2016-01-20 13:22 mkv Assigned To bugmaster => mkv
2016-01-20 18:18 mkv Note Added: 0049981
2016-01-20 18:18 mkv Note Added: 0049982
2016-01-20 18:18 mkv Assigned To mkv => bugmaster
2016-01-20 18:18 mkv Status reviewed => tested
2016-01-20 18:19 mkv Test case number => Not needed
2016-01-21 06:52 abv Relationship added related to 0027097
2016-01-22 02:37 Epy Relationship added child of 0027105
2016-01-22 12:17 abv Changeset attached => occt master 163d7e8d
2016-01-22 12:17 abv Assigned To bugmaster => abv
2016-01-22 12:17 abv Status tested => verified
2016-01-22 12:17 abv Resolution open => fixed
2016-04-17 13:27 git Note Added: 0052869
2016-04-20 15:43 user533 Fixed in Version => 7.0.0
2016-04-20 15:50 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker